function media_ce(concentraciones){
    if(concentraciones.length == 0){
        return 0;
    } else {
        return suma_ce(concentraciones) / concentraciones.length;
    }
}

function suma_ce(concentraciones){
    let suma = 0;
    concentraciones.forEach(function(numero){
        if(!isNaN(numero)){
            suma += numero;
        }
    });
    console.log(suma);
    return suma;
}

function de_ce(concentraciones){
    let sample = true;
    let n = concentraciones.length;
    if(n === 0){
        return 0;
    }

    if(sample && n ===1){
        return 0;
    }

    let mean = suma_ce(concentraciones) / n;
    let carry = 0.0;
    let d;

    concentraciones.forEach(function(numero){
        if(!isNaN(numero)){
            d = numero - mean;
            carry += d * d; 
        }
    });

    if(sample){
        n--;
    }

    return Math.sqrt(carry / n);
}